package org.project.item.weapons;

import org.project.entity.Entity;

public class BoneHarpoon extends Weapon{
    private static int DEFAULT_DAMAGE = 10;
    private static int DEFAULT_MANACOST = 10;
    private static int DEFAULT_SPECIAL_MANA = 20;

    public BoneHarpoon() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }

    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(this.getDamage() + 10);
        attacker.reduceMana(this.getSpecialMana());
    }
    @Override
    public String getType() {
        return "Bone Harpoon(Skeletons)";
    }
    @Override
    public String getExplanation() {
        return "Melee slashing tool for skeletons.\n"+
                "Damage: "+ this.getDamage() +" Mana cost: " + this.getManaCost() +
                "\nSpecial ability: When used by the skeleton, it resurrects with 50% hp.";
    }
}
